GHC on Snow Leopard: best practices?

Manuel M T Chakravarty chak at
Thu Oct 8 03:32:56 EDT 2009

David Menendez:
> Is there any consensus about what needs to be done to get a working
> ghc installation on a Snow Leopard (Mac OS X 10.6) system? The Mac OS
> X wiki page[1] currently links to a blog post[2] that recommends
> manually patching /usr/bin/ghc, but I have also seen recommendations
> that people patch ghci, runhaskell, runghc, and hsc2hs. Is that also
> recommended? If so, there should probably be an updated how-to on the
> wiki.

Patching /usr/bin/ghc is sufficient to get a version of GHC that  
passes the regression tests suite in "fast" mode (the same setting  
that the validate script uses).  If you want to use hsc2hs, you need  
to patch that, too.  I haven't found a need to patch the interpreter,  


More information about the Glasgow-haskell-users mailing list